SS(1)

NAME
ss - network system status

SYNOPSIS
ss [ -cilrtu ] [ host ... ]

DESCRIPTION
ss lists the system status for hosts on the local network. The status information is generated by a system status demon ssd(8) running on each of the hosts. This information is also available through the cs(3) routine

The system status information is:

host name
    The host name as known on the local network.

up time
    The time since the host was last booted. Down time is noted by down.

active users
    The number of logged in users that have been active within the last 24 hours.

idle time
    The time since any user last typed or moused.

%usr time
    The percentage of CPU time used by user and low priority processes.

%sys time
    The percentage of CPU time used by the system itself. The CPU idle time is (100-%usr-%sys).

If host arguments are specified then the listing is restricted to those hosts. If no options are specified then the listing is sorted by host name. Any other sorting is done in order from best to worst, e.g., the best load averages are small, the best idle times are large. The option order determines the sort order from highest to lowest precedence. The options are:

-c  Sort by %usr and %sys cpu utilization.

-i  Sort by idle time.

-l  Sort by load average.

-r  Reverse the sort ordering to worst to best.

-t  Sort by uptime.

-u  Sort by number of active users.

CAVEATS
A system will be reported as being down until ssd(8) is up and running. The initial report is also subject to network file system latencies.

FILES

share/lib/ss/.log
    demon error log

share/lib/ss/host
    status for host

SEE ALSO
coshell(3), cs(3), ssd(8)